package com.heyu.api.data.service.map;
/**
* <p>
* 地图地名记录，说明 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.map.MapAddrInfoEntity;
public interface MapAddrInfoService extends IService<MapAddrInfoEntity> {



	MapAddrInfoEntity selectMapAddrInfoById(Long id);


	Long insertMapAddrInfo(MapAddrInfoEntity mapAddrInfo);


	Long insertOrUpdateMapAddrInfo(MapAddrInfoEntity mapAddrInfo);


	int updateMapAddrInfoById(MapAddrInfoEntity mapAddrInfo);


	int updateCoverMapAddrInfoById(MapAddrInfoEntity mapAddrInfo);


	int deleteMapAddrInfoById(Long id);


}